Jump to content

Metasploit Not Found In Set


Skorpinok Rover
 Share

Recommended Posts

Hello,

Never thought this would happen, what a bad luck..!.. I have backtrack 5R2 in virtual environment with target windows XP SP2. , Iam facing this metasploit error within social engineering tool-kit when i launch java applet attack method even after update of SET, it says metasploit path was not found, Reinstalled the O.S itself , still same problem , i tried all these three paths

METASPLOIT_PATH= /opt/metasploit/msf3

METASPLOIT_PATH= /pentest/exploits/framework3

METASPLOIT_PATH=/opt/framework3/msf3

METASPLOIT_PATH=/pentest/exploits/framework

finally none of them seem to work, however when i configure METASPLOIT_PATH=/pentest/exploits/framework2, i get this

  • Moving payload into cloned website.
  • The site has been moved. SET Web Server is now listening..[-] Launching MSF Listener...
    [-] This may take a few to load MSF...

[Errno 2] No such file or directory: 'config/set_config.

please suggest me any idea if you wish regarding this matter, hope i can know what actual problem is..

Best Regards.

root@bt:~# locate msfconsole

/opt/metasploit/app/msfconsole

/opt/metasploit/apps/pro/msf3/msfconsole

/opt/metasploit/apps/pro/msf3/test/functional/framework/msfconsole_spec.rb

/opt/metasploit/msf3/msfconsole

/opt/metasploit/msf3/.svn/prop-base/msfconsole.svn-base

/opt/metasploit/msf3/.svn/text-base/msfconsole.svn-base

/opt/metasploit/msf3/documentation/msfconsole_rc_ruby_example.rc

/opt/metasploit/msf3/documentation/.svn/text-base/msfconsole_rc_ruby_example.rc.svn-base

/opt/metasploit/msf3/test/functional/framework/msfconsole_spec.rb

/opt/metasploit/msf3/test/functional/framework/.svn/text-base/msfconsole_spec.rb.svn-base

/pentest/exploits/framework2/msfconsole

/pentest/exploits/framework2/docs/QUICKSTART.msfconsole

/usr/local/bin/msfconsole

/usr/share/applications/backtrack-metasploit-msfconsole.desktop

Link to comment
Share on other sites

Try this.

cd /pentest/exploits/set
rm -rf *
svn update .

Then

apt-get update
apt-get upgrade -y && apt-get dist-upgrade -y

Thank you Mr. Protocol, i greatly appreciate your timely help ..Now everything is fine, works flawless !., after several attempts due to this error i dont know why ? '' svn: REPORT of '/!svn/vcc/default': timed out waiting for server (http://svn.secmaniac.com) ".., finally i removed SET & Reinstalled it, after that i followed ur code.. within few minutes it succeeded.

can i update Metasploit ? will it again effect the SET ?

Regards

Link to comment
Share on other sites

If you do an svnupdate . in metasploit, and you aren't running msf4+, armitage will stop working since it will update armitage too and is not backwards compatible with msf3.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...